<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <form name="editForm" role="form" novalidate v-on:submit.prevent="save()">
        <h2
          id="gatewayApp.manillaPrograma.home.createOrEditLabel"
          data-cy="ProgramaCreateUpdateHeading"
          v-text="$t('gatewayApp.manillaPrograma.home.createOrEditLabel')"
        >
          Create or edit a Programa
        </h2>
        <div>
          <div class="form-group" v-if="programa.id">
            <label for="id" v-text="$t('global.field.id')">ID</label>
            <input type="text" class="form-control" id="id" name="id" v-model="programa.id" readonly />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaPrograma.caloriasActividad')" for="programa-caloriasActividad"
              >Calorias Actividad</label
            >
            <input
              type="number"
              class="form-control"
              name="caloriasActividad"
              id="programa-caloriasActividad"
              data-cy="caloriasActividad"
              :class="{ valid: !$v.programa.caloriasActividad.$invalid, invalid: $v.programa.caloriasActividad.$invalid }"
              v-model.number="$v.programa.caloriasActividad.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaPrograma.pasosActividad')" for="programa-pasosActividad"
              >Pasos Actividad</label
            >
            <input
              type="number"
              class="form-control"
              name="pasosActividad"
              id="programa-pasosActividad"
              data-cy="pasosActividad"
              :class="{ valid: !$v.programa.pasosActividad.$invalid, invalid: $v.programa.pasosActividad.$invalid }"
              v-model.number="$v.programa.pasosActividad.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaPrograma.fechaRegistro')" for="programa-fechaRegistro"
              >Fecha Registro</label
            >
            <div class="d-flex">
              <input
                id="programa-fechaRegistro"
                data-cy="fechaRegistro"
                type="datetime-local"
                class="form-control"
                name="fechaRegistro"
                :class="{ valid: !$v.programa.fechaRegistro.$invalid, invalid: $v.programa.fechaRegistro.$invalid }"
                :value="convertDateTimeFromServer($v.programa.fechaRegistro.$model)"
                @change="updateInstantField('fechaRegistro', $event)"
              />
            </div>
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaPrograma.user')" for="programa-user">User</label>
            <select class="form-control" id="programa-user" data-cy="user" name="user" v-model="programa.user">
              <option v-bind:value="null"></option>
              <option
                v-bind:value="programa.user && userOption.id === programa.user.id ? programa.user : userOption"
                v-for="userOption in users"
                :key="userOption.id"
              >
                {{ userOption.login }}
              </option>
            </select>
          </div>
        </div>
        <div>
          <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" v-on:click="previousState()">
            <font-awesome-icon icon="ban"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.cancel')">Cancel</span>
          </button>
          <button
            type="submit"
            id="save-entity"
            data-cy="entityCreateSaveButton"
            :disabled="$v.programa.$invalid || isSaving"
            class="btn btn-primary"
          >
            <font-awesome-icon icon="save"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.save')">Save</span>
          </button>
        </div>
      </form>
    </div>
  </div>
</template>
<script lang="ts" src="./programa-update.component.ts"></script>
